Bug 708526 - fails to build without downstream patches
fails to build without downstream patches
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm (Show other bugs)
6.1
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 17:07 EDT by Kamil Dudka
Modified: 2016-05-02 06:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed fix (1.60 KB, patch)
2011-05-27 17:08 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Kamil Dudka 2011-05-27 17:07:33 EDT
Version-Release number of selected component (if applicable):
gdm-2.30.4-21.el6_0.1


Steps to Reproduce:
1. rpmbuild --define '__patch /bin/true' --rebuild gdm-2.30.4-21.el6_0.1.src.rpm

  
Actual results:
DEBUG: + cp -f /builddir/build/SOURCES/gdm-pam data/gdm
DEBUG: + cp -f /builddir/build/SOURCES/gdm-autologin-pam data/gdm-autologin
DEBUG: + cp -f /builddir/build/SOURCES/gdm-password.pam gui/simple-greeter/plugins/password/gdm-password.pam
DEBUG: cp: cannot create regular file `gui/simple-greeter/plugins/password/gdm-password.pam': No such file or directory
DEBUG: RPM build errors:
DEBUG: error: Bad exit status from /var/tmp/rpm-tmp.ohpIqu (%build)
DEBUG:     Bad exit status from /var/tmp/rpm-tmp.ohpIqu (%build)


Additional info:
The proposed change is required for Coverity to scan defects in downstream
patches separately.
Comment 1 Kamil Dudka 2011-05-27 17:08:21 EDT
Created attachment 501398 [details]
proposed fix
Comment 3 Suzanne Yeghiayan 2011-10-06 14:50:03 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.
               
Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.